Generate User Usage Report
curl --request GET \
--url https://production.deepvue.tech/v1/client/usage-report \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/client/usage-report"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/client/usage-report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/client/usage-report",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/client/usage-report"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/client/usage-report")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/client/usage-report")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1748417711157,
"transaction_id": "5a936bcee02d4b7a974db19a4cd1185e",
"sub_code": "SUCCESS",
"message": "User usage report generated successfully",
"data": {
"file_url": "https://deepvue-tech.s3.ap-south-1.amazonaws.com/client/usage-report/9147835.xlsx",
"usage_data": [
{
"Transaction Id": "9cb1fa27-c768-430c-9aa3-c13c477a1b0b",
"Timestamp(UTC)": "2024-05-11T23:33:32.092089+00:00",
"Product Id": "PAN-Plus",
"Status": 200,
"Message": "Invalid Pan Number.",
"Charge": 2.95
},
{
"Transaction Id": "fd93b66e-74e1-4150-8e0f-5b8f78a3a010",
"Timestamp(UTC)": "2024-05-11T22:25:48.586394+00:00",
"Product Id": "PAN-Plus",
"Status": 200,
"Message": "Pan Verified Successfully.",
"Charge": 2.95
},
{
"Transaction Id": "15d46c64-41fe-4938-8510-2aa87fba7694",
"Timestamp(UTC)": "2024-05-11T22:25:07.844149+00:00",
"Product Id": "PAN-Plus",
"Status": 200,
"Message": "Pan Verified Successfully.",
"Charge": 2.95
}
]
}
}Utilities
Usage Report
Use this API to generate and access your detailed usage report programmatically.
GET
/
v1
/
client
/
usage-report
Generate User Usage Report
curl --request GET \
--url https://production.deepvue.tech/v1/client/usage-report \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/client/usage-report"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/client/usage-report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/client/usage-report",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/client/usage-report"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/client/usage-report")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/client/usage-report")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1748417711157,
"transaction_id": "5a936bcee02d4b7a974db19a4cd1185e",
"sub_code": "SUCCESS",
"message": "User usage report generated successfully",
"data": {
"file_url": "https://deepvue-tech.s3.ap-south-1.amazonaws.com/client/usage-report/9147835.xlsx",
"usage_data": [
{
"Transaction Id": "9cb1fa27-c768-430c-9aa3-c13c477a1b0b",
"Timestamp(UTC)": "2024-05-11T23:33:32.092089+00:00",
"Product Id": "PAN-Plus",
"Status": 200,
"Message": "Invalid Pan Number.",
"Charge": 2.95
},
{
"Transaction Id": "fd93b66e-74e1-4150-8e0f-5b8f78a3a010",
"Timestamp(UTC)": "2024-05-11T22:25:48.586394+00:00",
"Product Id": "PAN-Plus",
"Status": 200,
"Message": "Pan Verified Successfully.",
"Charge": 2.95
},
{
"Transaction Id": "15d46c64-41fe-4938-8510-2aa87fba7694",
"Timestamp(UTC)": "2024-05-11T22:25:07.844149+00:00",
"Product Id": "PAN-Plus",
"Status": 200,
"Message": "Pan Verified Successfully.",
"Charge": 2.95
}
]
}
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.